import { LitElement } from 'lit-element/lit-element.js';
export declare type TooltipPosition = 'top' | 'right' | 'bottom' | 'left' | 'float' | 'rightTop';
export declare type CaretType = 'center' | 'start';
export declare class KanoTooltip extends LitElement {
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    private tooltip?;
    position: TooltipPosition;
    caret: CaretType;
    offset: number;
    private _target?;
    trackTarget: boolean;
    autoClose: boolean;
    opened: boolean;
    private targetTracker?;
    private openedEvent?;
    private positionWillChange;
    private alreadyAnimated;
    target: HTMLElement | undefined;
    zIndex: number;
    updated(changedProps: Map<string, unknown>): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    _onClickEvent(e: MouseEvent | TouchEvent): void;
    _onWindowResize(): void;
    caretHidden(position: TooltipPosition): boolean;
    updatePosition(forceOpen?: boolean): void;
    open(e?: MouseEvent | TouchEvent): void;
    close(): void;
    _getTransformOrigin(): string;
    setupTargetTracking(): void;
    _computeContext(): {
        top: number;
        left: number;
    };
}
